Bug 1411517 - can't add cloud provider with the same name again
Summary: can't add cloud provider with the same name again
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: James Wong
QA Contact: Jan Krocil
URL:
Whiteboard: provider:cloud, appliance:database
Depends On: 1389459
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:26 UTC by Satoe Imaishi
Modified: 2017-02-27 19:19 UTC (History)
11 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1389459
Environment:
Last Closed: 2017-02-27 19:19:39 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 21:45:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3968609f8cf7657e6833f4a9a49c2e809bf1ed97

commit 3968609f8cf7657e6833f4a9a49c2e809bf1ed97
Author:     Chris Arcand <chrisarcand@users.noreply.github.com>
AuthorDate: Thu Dec 1 10:42:31 2016 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 16:39:47 2017 -0500

    Merge pull request #12878 from durandom/refactor/ensure_manager
    
    Add managers in before_create callback instead of before_validation
    (cherry picked from commit a579b0535ec82bde184e8cc523fc40b255e41880)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411517
    https://bugzilla.redhat.com/show_bug.cgi?id=1403011

 app/models/manageiq/providers/foreman/provider.rb        | 2 +-
 app/models/manageiq/providers/google/cloud_manager.rb    | 2 +-
 app/models/manageiq/providers/openstack/cloud_manager.rb | 2 +-
 app/models/manageiq/providers/openstack/infra_manager.rb | 2 +-
 app/models/manageiq/providers/vmware/cloud_manager.rb    | 2 +-
 spec/controllers/provider_foreman_controller_spec.rb     | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

Comment 3 CFME Bot 2017-01-09 21:46:11 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d52acf25e4950b9122e0659544534bfa02a882b9

commit d52acf25e4950b9122e0659544534bfa02a882b9
Author:     Chris Arcand <chrisarcand@users.noreply.github.com>
AuthorDate: Thu Dec 1 11:43:04 2016 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 16:42:44 2017 -0500

    Merge pull request #13 from durandom/refactor/ensure_manager
    
    Add managers in before_create callback instead of before_validation
    (cherry picked from commit ec0418d46a2dbdf466f968476c4aaec3f98cbdf6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411517
    https://bugzilla.redhat.com/show_bug.cgi?id=1403011

 app/models/manageiq/providers/azure/cloud_manager.rb    |  2 +-
 .../manageiq/providers/azure/cloud_manager_spec.rb      | 17 +++++++++++++++++
 2 files changed, 18 insertions(+), 1 deletion(-)

Comment 6 errata-xmlrpc 2017-02-27 19:19:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.